# Uses of Class
javax.crypto.SecretKeyFactorySpi

Packages that use SecretKeyFactorySpi
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of SecretKeyFactorySpi in javax.crypto

Constructors in javax.crypto with parameters of type SecretKeyFactorySpi
Modifier
Constructor
Description
`protected`
`SecretKeyFactory​(SecretKeyFactorySpi keyFacSpi, Provider provider, String algorithm)`
Creates a SecretKeyFactory object.